/*! 
	\file deux.h
	\author GOIGOUX Lucie & JEUDI--LEMOINE Alix
	\date 23/12/22
	\brief Partie 2 de la SAE 1.02

	Application de gestion des candidature dans les IUT de France
*/

#define LEN_MAX 30

typedef struct {
    char ville[LEN_MAX], departement[LEN_MAX];
    int decision, validation;
} Candidature;

typedef Candidature** ListeCandidatures;

typedef struct {
    int id;
    char nom[LEN_MAX], prenom[LEN_MAX];
    float moyenneMath, moyenneFrancais, moyenneAnglais, moyenneSpecialite;
    int nbCandidatures;
    ListeCandidatures listeCandidatures;
} Candidat;

typedef Candidat** ListeCandidats;

Candidat* creerCandidat(void);
Candidature* creerCandidature(void);

void ajouterCandidat(ListeCandidats* liste, int* nbCandidats, Candidat* candidat);
void ajouterCandidature(Candidat* candidat, Candidature* candidature);
int checkCandidature(Candidat* candidat, Candidature candid);

void afficherListeCandidats(ListeCandidats liste, int nbCandidats);
void afficherCandidat(Candidat* candidat);
void afficherCandidatures(ListeCandidatures candidatures, int nbCandidatures);
ListeCandidats readCandidats(int* nbCandidats);
int saveCandidats(ListeCandidats liste, int nbCandidats);

int compareCandidats(const void* c1, const void* c2);

void test2(void);